package com.persagy.fm.common.model.entity;

/**
 * 树形接口
 * @author Charlie Yu
 * @version 1.0 2021-03-04
 */
public interface ITreeEntity extends IBaseEntity {

    /** 实体属性树形编码 */
    String PROP_INNERCODE = "innercode";

    /**
     * 取得树形编码
     * @return 树形编码
     */
    String getInnercode();

    /**
     * 设置树形编码
     * @param innercode 设置树形编码
     */
    void setInnercode(String innercode);

    /**
     * 取得innercode属性名
     * @return
     */
    String getInnercodeField();

    /**
     * 取得当前实体表名
     * @return 表名
     */
    String getTreeTableName();
}
